# Check deal

Source: https://holofolder.com/app/docs/reference/prices-and-insights/check-deal

POST https://app.holofolder.com/app/api/v1/deals/check

OpenAPI operation (parameters, authentication, request body and responses):

```json
{
  "operationId": "check_deal",
  "summary": "Check deal",
  "description": "Evaluate an asking price using existing saved market evidence.\n\nRequired permissions: `prices:read`. MCP tool: `check_deal`.",
  "tags": [
    "Prices and insights"
  ],
  "security": [
    {
      "apiKey": []
    }
  ],
  "parameters": [],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "$schema": "https://json-schema.org/draft/2020-12/schema",
          "type": "object",
          "properties": {
            "cardId": {
              "type": "string",
              "minLength": 1,
              "maxLength": 200
            },
            "language": {
              "type": "string",
              "enum": [
                "en",
                "fr",
                "de",
                "es",
                "it",
                "pt-br",
                "ja",
                "ko"
              ]
            },
            "askingPrice": {
              "type": "number",
              "exclusiveMinimum": 0,
              "maximum": 10000000
            },
            "currency": {
              "type": "string",
              "enum": [
                "GBP",
                "EUR",
                "USD",
                "JPY"
              ]
            },
            "region": {
              "type": "string",
              "enum": [
                "UK",
                "EU",
                "US",
                "JP"
              ]
            },
            "finish": {
              "type": "string",
              "enum": [
                "normal",
                "holo",
                "reverse_holo"
              ]
            },
            "thresholds": {
              "type": "object",
              "properties": {
                "greatPct": {
                  "type": "number",
                  "minimum": 0,
                  "maximum": 100
                },
                "fairPct": {
                  "type": "number",
                  "minimum": 0,
                  "maximum": 100
                },
                "walkAwayPct": {
                  "type": "number",
                  "minimum": 0,
                  "maximum": 1000
                }
              },
              "required": [
                "greatPct",
                "fairPct",
                "walkAwayPct"
              ],
              "additionalProperties": false
            }
          },
          "required": [
            "cardId",
            "askingPrice",
            "currency"
          ],
          "additionalProperties": false
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "Success"
    },
    "400": {
      "description": "See the API conventions page."
    },
    "401": {
      "description": "See the API conventions page."
    },
    "402": {
      "description": "See the API conventions page."
    },
    "403": {
      "description": "See the API conventions page."
    },
    "404": {
      "description": "See the API conventions page."
    },
    "409": {
      "description": "See the API conventions page."
    },
    "413": {
      "description": "See the API conventions page."
    },
    "422": {
      "description": "See the API conventions page."
    },
    "429": {
      "description": "See the API conventions page."
    },
    "503": {
      "description": "See the API conventions page."
    }
  }
}
```
